Subject: [SPIRITS] Another issue

From: Alec Brusilovsky <[email-masked]>
Date: Sun, 17 Mar 2002 09:27:39 -0600

Ladies and Gentlemen,

Initially, we put a good portion of the IN information into
the Protocol I-D. However, it seems like this information is
taking too much space and bandwidth there.
I think that Protocol specs should not educate readers on
IN, but provide an adequate reference to where such source
of educational material is available.
Should we decompose the IN description, INAP parameters, and
their encoding into XML, including DTD examples (basically
Section 2.0 and Appendix A, B of the SPIRITS Protocol I-D
<draft-gurbani-spirits-protocol-01.txt>) into a separate I-D
with intent to publish it as an Informational RFC?
This document will, also, have material from the following
I-Ds:

1. Generating the INAP parameters for the SPIRITS protocol
<draft-unmehopa-spirits-parameter-generation-00.txt>
2. On selection of IN parameters to be carried by the
SPIRITS protocol <draft-ietf-spirits-in-02.txt>

Both of these I-D's have quite valuable and of use to
SPIRITS information on PSTN/IN, INAP parameters description,
examples of INAP encoding into XML and examples of using
automatic tools from ITU-T to generate XML DTDs from INAP
UML.

Advantages:
Localized changes, easier maintenance, reduction in size of
the protocol specification, uniform reference
from other I-Ds (or RFCs), speeding up SPIRITS specs
development.
Disadvantages:
Dependency.

Any opinions?

Regards,
Alec